Entity Gross Profit Request
8 min
Authentication
You will need to login before sending Entity Gross Profit Request. You are required to pass the access token received from the login call, as authorization header in the Entity Gross Profit Request along with other parameters.
API Endpoint
Testing
POST :: https://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../gstrgrossprofitsProduction
POST :: https://signzy.tech/api/v2/patrons/...patronID.../gstrgrossprofitsHeaders
Key | Value |
|---|---|
Authorization | ...access token (returned as id field of login request)... |
Content-type | application/json |
Request Body
The API request should include the following data in the request body:
{
"essentials": {
"gstin": "..gstin..",
"username": "..username..",
"authToken": "..authToken..",
"appKey": "..appKey..",
"sek": "..sek..",
"retPeriod": "..retPeriod.."
}
}Input Parameters
Field | Description |
|---|---|
gstin | GST Number of the organization |
username | Username of your GST Portal Credentials |
authToken | AuthToken received in the authToken request |
appKey | APP Key received in the OTP request |
sek | Secret appKey |
retPeriod | Return Period for which Gross Profit has to be fetched. (Eg 03/2018) |
Response body
{
"result":{
"grossProfit" : "..grossProfit.."
}
}Output Paramters
Field | Description |
|---|---|
grossProfit | Gross profit |